import { select, csv , scaleLinear, max, scaleBand } from 'd3';


const svg = select('svg');
const width = +svg.attr('width');
const height = +svg.attr('height');

const render = data => {
  const xScale = scaleLinear()
  	.domain([0,max(data,d =>  d.population)])
  	.range([0,width])
  const yScale = scaleBand()
  	.domain(data.map(d => d.country))
  	.range([0,height])
  
	svg.selectAll('rect').data(data)
  	.enter().append('rect')
  	.attr('width',d => xScale(d.population))
  	.attr('height',yScale.bandwidth())
  	.attr('y', d => yScale(d.country))
  
}

csv('data.csv').then(data=>{
	data.forEach((d)=>{
  	d.population = +d.population * 1000
  })
  render(data)
})

